#
# spec file for package ktexteditor
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define _tar_path 5.26
Name:           ktexteditor
Version:        5.26.0
Release:        2.1
%define kf5_version %{version}
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  karchive-devel >= %{_tar_path}
BuildRequires:  kconfig-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  kguiaddons-devel >= %{_tar_path}
BuildRequires:  ki18n-devel >= %{_tar_path}
BuildRequires:  kiconthemes-devel >= %{_tar_path}
BuildRequires:  kio-devel >= %{_tar_path}
BuildRequires:  kparts-devel >= %{_tar_path}
BuildRequires:  libgit2-devel
BuildRequires:  sonnet-devel >= %{_tar_path}
BuildRequires:  cmake(Qt5Core) >= 5.5.0
BuildRequires:  cmake(Qt5PrintSupport) >= 5.5.0
BuildRequires:  cmake(Qt5Script) >= 5.5.0
BuildRequires:  cmake(Qt5Test) >= 5.5.0
BuildRequires:  cmake(Qt5Widgets) >= 5.5.0
BuildRequires:  cmake(Qt5Xml) >= 5.5.0
BuildRequires:  cmake(Qt5XmlPatterns) >= 5.5.0
%if %{with lang}
Recommends:     %{name}-lang = %{version}
%endif
Obsoletes:      libKF5TextEditor4
Obsoletes:      libKF5TextEditor5
Summary:        Provides a powerful text editor component
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-UPSTREAM 0001-KateNormalInputMode-needs-to-rerun-SearchBar-enter-m.patch
Patch0:         0001-KateNormalInputMode-needs-to-rerun-SearchBar-enter-m.patch
# PATCH-FIX-UPSTREAM 0002-Fix-crash-Make-sure-the-display-cursor-is-valid-afte.patch
Patch1:         0002-Fix-crash-Make-sure-the-display-cursor-is-valid-afte.patch
# PATCH-FIX-UPSTREAM 0003-Fix-crash-when-showing-top-or-bottom-messages-mutlip.patch
Patch2:         0003-Fix-crash-when-showing-top-or-bottom-messages-mutlip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KTextEditor provides a powerful text editor component that you can embed in your
application, either as a KPart or using the KF5::TextEditor library.

%package devel
Summary:        Provides a powerful text editor component
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}
Requires:       extra-cmake-modules
Requires:       kparts-devel >= %{_tar_path}

%description devel
KTextEditor provides a powerful text editor component that you can embed in your
application, either as a KPart or using the KF5::TextEditor library.
Development files.

%lang_package
%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
  %cmake_kf5 -d build -- -DSYSCONF_INSTALL_DIR=%{_kf5_sysconfdir}
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}5
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%if %{with lang}
%files -n %{name}-lang -f %{name}5.lang
%endif

%files
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5TextEditor.so.*
%{_kf5_sharedir}/katepart5/
%{_kf5_plugindir}/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5TextEditor.so
%{_kf5_libdir}/cmake/KF5TextEditor/
%dir %{_kf5_includedir}/*/
%{_kf5_includedir}/*/
%{_kf5_includedir}/*.h
%{_kf5_mkspecsdir}/qt_KTextEditor.pri

%changelog
* Mon Oct 24 2016 hrvoje.senjan@gmail.com
- Added upstream patches:
  0001-KateNormalInputMode-needs-to-rerun-SearchBar-enter-m.patch
  (kde#369104)
  0002-Fix-crash-Make-sure-the-display-cursor-is-valid-afte.patch
  (kde#367466)
  0003-Fix-crash-when-showing-top-or-bottom-messages-mutlip.patch
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * Remove accel clash (kde#363738)
  * Fix email address highlighting in doxygen (kde#363186)
  * Detect some more json files, like our own projects ;)
  * Improve mime-type detection (kde#357902)
  * Bug 363280 - highlighting: c++: #if 1 #endif #if defined (A) aaa
    [#]elif defined (B) bbb #endif (kde#363280)
  * Bug 351496 - Python folding is not working during initial typing
    (kde#351496)
  * Bug 365171 - Python syntax highlighting: not working correctly
    for escape sequences (kde#365171)
  * Bug 344276 - php nowdoc not folded correctly (kde#344276)
  * Bug 359613 - Some CSS3 properties are not supported in
    syntax highlight (kde#359613)
  * Bug 367821 - wineHQ syntax: The section in a reg file isn't
    highlighted correctly (kde#367821)
  * Improve swap file handling if swap directory specified
  * Fix crash when reloading documents with auto-wrapped line due
    to line length limit (kde#366493)
  * Fix constant crashes related to the vi command bar
    (kde#367786)
  * Fix: Line numbers in printed documents now starts at 1
    (kde#366579)
  * Backup Remote Files: Treat mounted files also as remote files
  * Cleanup logic for searchbar creation
  * Add highlighting for Magma
  * Allows only one level of recursion
  * Fix broken swap-file on windows
  * Patch: add bitbake support for syntax highlighting engine
  * Autobrace: look at spellcheck attribute where the character
    was entered (kde#367539)
  * Highlight QMAKE_CFLAGS
  * Don't pop out of the main context
  * Add some executable names that are commonly used
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * Do not ask for overwriting a file twice with native dialogs
  * Added FASTQ syntax
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * Show Scrollbar Text Preview after a delay of 250ms
  * Hide preview and stuff on view content scrolling
  * Set parent + toolview, I think this is needed to avoid task
    switcher entry in Win10
  * Remove "KDE-Standard" from encoding box
  * Folding preview on per default
  * Avoid dashed underline for preview & avoid poisoning of
    line layout cache
  * Always enable "Show preview of folded text" option
  * TextPreview: Adjust the grooveRect-height when
    scrollPastEnd is enabled
  * Scrollbar preview: use groove rect if scrollbar does
    not use full height
  * Add KTE::MovingRange::numberOfLines() just like KTE::Range has
  * Code folding preview: set popup height so that
    all hidden lines fit
  * Add option to disable preview of folded text
  * Add modeline 'folding-preview' of type bool
  * View ConfigInterface: support 'folding-preview' of type bool
  * Add bool KateViewConfig::foldingPreview() and
    setFoldingPreview(bool)
  * Feature: Show text preview when hovering over folded code block
  * KateTextPreview: add setShowFoldedLines() and showFoldedLines()
  * Add modelines 'scrollbar-minimap' [bool], and
    'scrollbar-preview' [bool]
  * Enable mini-map scrollbar by default
  * New feature: Show text preview when hovering over the scrollbar
  * KateUndoGroup::editEnd(): pass KTE::Range by const ref
  * Fix vim-mode shortcut handling,
    after behaviour changes in Qt 5.5 (kde#353332)
  * Autobrace: don't insert ' character in text
  * ConfigInterface: add scrollbar-minimap config key to
    enable/disable scrollbar mini map
  * Fix KTE::View::cursorToCoordinate() when top message widget
    is visible
  * Refactoring of the Emulated Command Bar
  * Fix drawing artifacts when scrolling while notifications
    are visible (kde#363220)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Fix default encoding to UTF-8 (kde#62604)
  * Fix color configurability of default style "Error"
  * Search & Replace: Fix replace background color (regression
    introduced in v5.22) (kde#63441)
  * New color scheme "Breeze Dark", see https://kate-editor.org/?post=3745
  * KateUndoManager::setUndoRedoCursorOfLastGroup(): pass Cursor
    as const reference
  * sql-postgresql.xml improve syntax highlighting by
    ignoring multiline function bodies
  * Add syntax highlighting for Elixir and Kotlin
  * VHDL syntax highlighting in ktexteditor: add support for
    functions inside architecture statements
  * vimode: Don't crash when given a range for a nonexistent
    command (kde#60418)
  * Properly remove composed characters when using Indic locales
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Use proper char syntax '"' instead of '\"'
  * doxygen.xml: Use default style dsAnnotation for "Custom Tags"
    as well (less hard-coded colors)
  * Add option to show the counter of words
  * Improved foreground color contrast for search & replace
    highlightings
  * Fix crash when closing Kate through dbus while the print
    dialog is open (kde##356813)
  * Cursor::isValid(): add note about isValidTextPosition()
  * Add API {Cursor, Range}::{toString, static fromString}
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Revert "Open/Save config page: Use term "Folder" instead
    of "Directory""
  * Open/Save config page: Use term "Folder" instead of "Directory"
  * kateschemaconfig.cpp: use correct filters with open/save dialogs
    (kde#343327)
  * c.xml: use default style for control flow keywords
  * isocpp.xml: use default style "dsControlFlow" for control
    flow keywords
  * c/isocpp: add more C standard types
  * KateRenderer::lineHeight() returns an int
  * printing: use font size from selected printing schema
    (kde#356110)
  * cmake.xml speedup: Use WordDetect instead of RegExpr
  * Change tab with to 4 instead of 8
  * Fix changing the current line number color
  * Fix selecting completion item with the mouse (kde#307052)
  * Add syntax highlighting for gcode
  * Fix the MiniMap selection background painting
  * Fix encoding for gap.xml (use UTF-8)
  * Fix nested comment blocks (kde#358692)
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
- Drop upstreamed 0001-Fix-Clazy-fix-mistake-that-broke-selection-handling-.patch
* Sun Mar 27 2016 hrvoje.senjan@gmail.com
- Added 0001-Fix-Clazy-fix-mistake-that-broke-selection-handling-.patch
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Fix highlighting of all occurences in ReadOnlyPart
  * Don't iterate over a QString as if it was a QStringList
  * Properly initialize static QMaps
  * Prefer toDisplayString(QUrl::PreferLocalFile)
  * Support surrogate character sending from input method
  * Do not crash on shutdown when text animation is still running
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * Better behaviour for "insert braces around" autobrace feature
  * Change option key to enforce new default,
    Newline at End of File = true
  * Remove some suspicious setUpdatesEnabled calls (kde#353088)
  * Delay emitting of verticalScrollPositionChanged until all stuff
    is consistent for folding (kde#342512)
  * Patch updating tag substitution (kde#330634)
  * Only update the palette once for the change event
    belonging to qApp (kde#358526)
  * Append newlines at EOF by default
  * Add NSIS syntax highlighting file
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * Syntax h/l for pli: builtin functions added, expandable regions added
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * Add syntax highlighting for TaskJuggler and PL/I
  * Make it possible to disable keyword-completion via
    the config interface.
  * Resize the tree when the completion model got reset.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * highlighting: gnuplot: add .plt extension
  * fix validation hint, add hint about the compile time validation
  * Don't crash when command is not available.
  * Fix kde##307107
  * Haskell highlighting variables starting with _
  * simplify git2 init, given we require recent enough version
    (kde#353947)
  * bundle default configs in resource
  * syntax highlighting (d-g): use default styles instead of
    hard-coded colors
  * better scripts search, first user local stuff, then the stuff
    in our resources, then all other stuff, that way the user can
    overwrite our shipped scripts with local ones
  * package all js stuff in resources, too, only 3 config files
    missing and ktexteditor could be just used as a library without
    any bundled files
  * next try: put all bundled xml syntax files into a resource
  * add input mode switch shortcut (kde#347769)
  * bundle xml files in resource
  * syntax highlighting (a-c): migrate to new default styles, remove
    hard-coded colors
  * syntax highlighting: remove hard-coded colors and use
    default styles instead
  * syntax highlighting: use new default styles
    (removes hard-coded colors)
  * Better "Import" default style
  * Introduce "Save As with Encoding" to save a file with different
    encoding, using the nice grouped encoding menu we have and
    replacing all save dialogs with the correct ones of the
    operating system without loosing this important feature.
  * bundle ui file into lib, using my extension to xmlgui
  * Printing again honors the selected font & color schema
    (kde#344976)
  * Use breeze colors for saved and modified lines
  * Improved icon border default colors of scheme "Normal"
  * autobrace: only insert brace when next letter is empty or
    not alphanumeric
  * autobrace: if removing start parenthesis with backspace,
    remove end as well
  * autobrace: only establish connection once
  * Autobrace: eat closing parentheses under some conditions
  * Fix shortcutoverride not being forwarded to the mainwindow
  * Bug 342659 - Default "bracket highlighting" color is hard to see
    (Normal schema fixed) (kde#342659)
  * Add proper default colors for "Current Line Number" color
  * bracket matching & auto-brackets: share code
  * bracket matching: guard against negative maxLines
  * bracket matching: just because the new range matches the old
    doesn't mean no update is required
  * Add the width of half a space to allow painting the cursor at EOL
  * fix some HiDPI issues in the icon border
  * fix kde##310712: remove trailing spaces also on line with cursor
    (kde#310712)
  * only display "mark set" message when vi input mode is active
  * remove & from button text (kde#345937)
  * fix update of current line number color (kde#340363)
  * implement brackets insert on writing a bracket over a selection
    (kde#350317)
  * auto brackets (kde#350317)
  * fix alert HL (kde#344442)
  * no column scrolling with dyn word wrap on
  * remember if highlighting was set by user over sessions to not
    loose it on save after restore (kde#332605)
  * fix folding for tex (kde#328348)
  * fixed kde##327842: End of C-style comment is misdetected (kde#327842)
  * save/restore dyn word wrap on session save/restore (kde#284250)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * Validate more regexp
  * Fix regexps in HL files (kde#352662)
  * Sync ocaml HL with state of
    https://code.google.com/p/vincent-hugot-projects/
    before google code is down, some small bugfixes
  * Add word-break (kde#352258)
  * Validate line before calling folding stuff (kde#339894)
  * Fix Kate word count issues by listening to DocumentPrivate
    instead of Document (kde#353258)
  * Update Kconfig syntax highlighting: add new operators from Linux 4.2
  * Sync w/ KDE/4.14 kate branch
  * Minimap: Fix scrollbar handle not being drawn with
    scrollmarks off. (kde#352641)
  * Syntax: Add git-user option for kdesrc-buildrc
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * Merge allocation of TextLineData and ref count block.
  * Change default keyboard shortcut for "go to previous editing line"
  * Syntax highlighting Haskell comment fixes
  * Speed up code-completion pop-up appearance
  * minimap: Attempt to improve the look and feel (kde#309553)
  * nested comments in Haskell syntax highlighting
  * Fix problem with wrong unindent for python (kde#351190)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * Guard default log level for Qt < 5.4.0, fix log cat name
  * Add hl for Xonotic (kde#342265)
  * Add Groovy HL (kde#329320)
  * Update J highlighting (kde#346386)
  * Make compile with MSVC2015
  * Less iconloader use, fix more pixelated icons
  * Enable/disable find all button on pattern changes
  * Improved search & replace bar
  * Remove useless ruler from powermode
  * More slim search bar
  * vi: Fix misreading of markType01 flag
  * Use correct qualification to call base method.
  * Remove checks, QMetaObject::invokeMethod guards itself
    against that already.
  * Fix HiDPI issues with color pickers
  * Cleanup coe: QMetaObject::invokeMethod is nullptr safe.
  * More comments
  * Change the way the interfaces are null safe
  * Only output warnings and above per default
  * Remove todos from the past
  * Use QVarLengthArray to save the temporary QVector iteration.
  * Move the hack to indent group labels to construction time.
  * Fixup some serious issues with the KateCompletionModel in
    tree mode.
  * Fix broken model design, which relied on Qt 4 behavior.
  * Obey umask rules when saving new file (kde#343158)
  * Add meson HL
  * As Varnish 4.x introduces various syntax changes compared to
    Varnish 3.x, I wrote additional, separate syntax highlighting
    files for Varnish 4 (varnish4.xml, varnishtest4.xml).
  * Fix HiDPI issues
  * vimode: don't crash if the <c-e> command gets executed in the
    end of a document. (kde#350299)
  * Support QML multi-line strings.
  * Fix syntax of oors.xml
  * Add CartoCSS hl by Lukas Sommer (kde#340756)
  * Fix floating point HL, use the inbuilt Float like in C
    (kde#348843)
  * Split directions did got reversed (kde#348845)
  * Bug 348317 - [PATCH] Katepart syntax highlighting should
    recognize \u0123 style escapes for JavaScript (kde#348317)
  * Add *.cljs (kde#349844)
  * Update the GLSL highlighting file.
  * Fixed default colors to be more distinguishable
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * debianchangelog.xml: add Debian/Stretch, Debian/Buster, Ubuntu-Wily
  * Fix for UTF-16 surrogate pair backspace/delete behavior.
  * Let QScrollBar handle the WheelEvents (kde#340936)
  * Apply patch from KWrite devel top update pure basic HL
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * Allow like in KDE 4.x times 3rdparty apps/plugins to install
    own highlighting XML files into katepart5/syntax
  * Add KTextEditor::Document::searchText()
  * Bring back use of KEncodingFileDialog (kde#343255)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * Add kdesrc-buildrc highlighting file
  * syntax: added support for binary integer literals in the PHP
    highlighting file
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
* Thu Mar 19 2015 hrvoje.senjan@gmail.com
- Add explicit kiconthemes-devel BuildRequires
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * Add word count statistics in statusbar
  * vimode: fix crash when removing last line in Visual Line mode
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * Fixed high-precision touchpad scrolling
  * Do not emit documentUrlChanged during reload
  * Do not break cursor position on document reload in
    lines with tabs
  * Do not re(un)fold the first line if it was
    manually (un)folded
  * vimode: command history through arrow keys
  * Do not try to create a digest when we get
    a KDirWatch::deleted() signal
  * Performance: remove global initializations
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * Fix build on MSVC.
  * vimode bugfixes
  * add syntax file for Oracle PL/SQL
  * ppd highlighting: better support for multiline values
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * Fix kde#340212: incorrect soft-tabs alignment after
    beginning-of-line
  * Add libgit2 compile-time check for threads support
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * Implement "go to last editing position" action
  * Guard against a possibly broken code folding state on disk
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * Multiple memory leaks fixed
  * Avoid auto-completion to interfere with search/replace text
    (kde#339130), and more autocompletion fixes
  * Many fixes to the VIM mode
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
- Added libgit2-devel BuildRequires
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
- Added pkgconfig(Qt5Xml) and pkgconfig(Qt5XmlPatterns) BuildRequires
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Define kf5_version within package
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Add baselibs.conf
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
* Tue Apr 22 2014 hrvoje.senjan@gmail.com
- Removed sonnet-devel from devel package requires, not needed
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Activate KTextEditor package
